Режим совместимости в Internet explorer

Наконец решил одну из старых проблем — в Internet Explorer иногда включался режим совместимости, а отсюда выползало ряд проблем. Особено когда ковыряешься в чужой верстке. Делаешь-делаешь, все красиво. Смотришь в IE, все разваливается. О проблемах много было написано тут.

Решение проблемы очень простое — будьте внимательны к доктайпу. Если его верно не указать, то начинаются проблемы.

Режим совместимости вызывается в тех случаях, когда неверно указан доктайп. Например:

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

Вместо положеного:

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

В современном мире лучше использовать HTML5:

<!DOCTYPE HTML>

Будьте внимательны, враги вокруг нас!

Начать проект вместе с нами
Заполните форму и отправьте
нам сообщение!
Если у Вас возникли вопросы, предложения, либо Вы желаете оформить заявку на заказ услуги — Добро пожаловать!
Телефоны и мессенджеры:
Москва: +7 (499) 389-42-40
Санкт-Петербург: +7 (812) 456-72-40